Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.cuncsd

scipy.linalg.lapack.cuncsd(x11, x12, x21, x22[, compute_u1, compute_u2, compute_v1t, compute_v2t, trans, signs, lwork, lrwork, overwrite_x11, overwrite_x12, overwrite_x21, overwrite_x22]) = <fortran function cuncsd>

  Wrapper for `cuncsd`.

  Parameters:
    x11 input rank-2 array(‘F’) with bounds (p,q)
    x12 input rank-2 array(‘F’) with bounds (p,mmq)
    x21 input rank-2 array(‘F’) with bounds (mmp,q)
    x22 input rank-2 array(‘F’) with bounds (mmp,mmq)
  Returns:
    cs11 rank-2 array(‘F’) with bounds (p,q) and x11 storage
    cs12 rank-2 array(‘F’) with bounds (p,mmq) and x12 storage
    cs21 rank-2 array(‘F’) with bounds (mmp,q) and x21 storage
    cs22 rank-2 array(‘F’) with bounds (mmp,mmq) and x22 storage
    theta rank-1 array(‘f’) with bounds (min(min(p, mmp), min(q, mmq)))
    u1 rank-2 array(‘F’) with bounds ((compute_u1?p:0),(compute_u1?p:0))
    u2 rank-2 array(‘F’) with bounds ((compute_u2?mmp:0),(compute_u2?mmp:0))
    v1t rank-2 array(‘F’) with bounds ((compute_v1t?q:0),(compute_v1t?q:0))
    v2t rank-2 array(‘F’) with bounds ((compute_v2t?mmq:0),(compute_v2t?mmq:0))
    info int
  Other Parameters:
    compute_u1 input int, optional

      Default: 1

    compute_u2 input int, optional

      Default: 1

    compute_v1t input int, optional

      Default: 1

    compute_v2t input int, optional

      Default: 1

    trans input int, optional

      Default: 0

    signs input int, optional

      Default: 0

    overwrite_x11 input int, optional

      Default: 0

    overwrite_x12 input int, optional

      Default: 0

    overwrite_x21 input int, optional

      Default: 0

    overwrite_x22 input int, optional

      Default: 0

    lwork input int, optional

      Default: 2*m+MAX(1,MAX(mmp,mmq))+1

    lrwork input int, optional

      Default: 5*MAX(1,q-1)+4*MAX(1,q)+8*q+1